Error:Execution failed for task ':app:preDebugAndroidTestBuild'. > Conflict with dependency 'com.and

前几天把Android Studio升级到了3.0.1,没想到一升级这哥们就给我来了个下马威,无论是打开项目还是新建项目,Gradle总会给我抛出下面的错误,大概看了一下英文理解了一下,发现这个是说预调试编译版本的依赖库版本是26.1.0与测试的APP(版本27.1.1)会有冲突


我把错误的具体粘贴出来了,如下:

Error:Execution failed for task ':app:preDebugAndroidTestBuild'.

> Conflict with dependency 'com.android.support:support-annotations' in project ':app'. Resolved versions for app (26.1.0) and test app (27.1.1) differ. See https://d.android.com/r/tools/test-apk-dependency-conflicts.html for details.

我的Gradle是下面这样写的:

下面给出两种解决办法:

一:直接点菜单栏里面的Build->Rebuild Project

这样操作的话能够暂时性的解决问题,等Gradle刷新完成过后这个问题就解决了,不过下一次关闭这个工程再打开会接着出现这个错误提示。

第二种解决办法:

修改下面三个地方,为如图所示:

这样修改完成之后,再刷新一下Gradle,就没有问题了,下次关闭工程后再次打开工程也不会有问题


总结:这个问题是由于Google升级了appcompat-v7这个对老版本的兼容包导致的,将编译依赖版本改一下就可以解决了

阅读更多
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/qq_36737934/article/details/80322698
个人分类: Android
上一篇Java坦克大战游戏源码解析 带声音 带道具 带地图编辑器
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭